$defs:
  AltAzCoordinates:
    properties:
      kind:
        default: altaz
        enum:
        - altaz
        - horizontal
        title: Kind
        type: string
      az:
        title: Az
        type: number
      el:
        title: El
        type: number
      unit:
        default:
        - deg
        - deg
        maxItems: 2
        minItems: 2
        prefixItems:
        - type: string
        - type: string
        title: Unit
        type: array
      reference_frame:
        $ref: '#/$defs/HorizontalCoordinatesReferenceFrame'
        default: altaz
    required:
    - az
    - el
    title: AltAzCoordinates
    type: object
  AngleUnits:
    description: Enumeration of units used to measure angles.
    enum:
    - deg
    - arcmin
    - arcsec
    title: AngleUnits
    type: string
  Beam:
    description: "Tied Array Beam arguments.\n\nArgs:\n    beam_id (int): integer\
      \ identifying this tied-array beam. It should be unique within each tied-array-beam\
      \ class\n    beam_name (str): string\n    beam_coordinate (EquatorialCoordinatesPST):\
      \ position on sky at which beam will be formed. It should lie within the HPBW\
      \ of the station beam\n    stn_weights (List(float)): array of weights, one\
      \ for each station."
    properties:
      beam_id:
        title: Beam Id
        type: integer
      beam_name:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        title: Beam Name
      beam_coordinate:
        anyOf:
        - $ref: '#/$defs/EquatorialCoordinatesPST'
        - oneOf:
          - $ref: '#/$defs/SpecialCoordinates'
          - $ref: '#/$defs/GalacticCoordinates'
          - $ref: '#/$defs/AltAzCoordinates'
          - $ref: '#/$defs/ICRSCoordinates'
          - $ref: '#/$defs/EquatorialCoordinates'
          - $ref: '#/$defs/SolarSystemObject'
          - $ref: '#/$defs/HorizontalCoordinates'
        title: Beam Coordinate
      stn_weights:
        items:
          type: number
        title: Stn Weights
        type: array
    required:
    - beam_id
    - beam_coordinate
    title: Beam
    type: object
  CoordinatesOffset:
    description: 'CoordinatesOffset defines a unitless pointing offset from a reference

      position. Units are expected to be provided in a separate field.'
    properties:
      x:
        default: 0.0
        title: X
        type: number
      y:
        default: 0.0
        title: Y
        type: number
    title: CoordinatesOffset
    type: object
  CrossScanParameters:
    description: 'CrossScanParameters defines the properties of an observing pattern
      that

      uses a cross scan observing pattern, typically used for pointing

      calibrations.'
    properties:
      kind:
        const: CrossScanParameters
        default: CrossScanParameters
        title: Kind
        type: string
      offset_arcsec:
        default: 0.0
        title: Offset Arcsec
        type: number
    title: CrossScanParameters
    type: object
  DataProductSDP:
    properties:
      data_products_sdp_id:
        description: Unique identifier for the Data Products SDP class
        title: Data Products Sdp Id
        type: string
      options:
        description: Observatory options
        items:
          type: string
        title: Options
        type: array
      observation_set_refs:
        description: Observation
        items:
          type: string
        title: Observation Set Refs
        type: array
      image_size:
        $ref: '#/$defs/Quantity'
        description: Image Size
      pixel_size:
        $ref: '#/$defs/Quantity'
        description: Pixel Size
      weighting:
        description: Weighting
        title: Weighting
        type: string
    required:
    - data_products_sdp_id
    - observation_set_refs
    - image_size
    - pixel_size
    - weighting
    title: DataProductSDP
    type: object
  DataProductSRC:
    properties:
      data_products_src_id:
        description: Unique identifier for the Data Products SRC-Net class
        title: Data Products Src Id
        type: string
    required:
    - data_products_src_id
    title: DataProductSRC
    type: object
  Document:
    properties:
      document_id:
        description: Unique identifier for the Documents class generated by appending
          the name of the proposal to the class of uploaded document i.e science or
          technical.
        title: Document Id
        type: string
      uploaded_pdf:
        default: false
        description: indicates if pdf is uploaded
        title: Uploaded Pdf
        type: boolean
    required:
    - document_id
    title: Document
    type: object
  EquatorialCoordinates:
    description: SiderealTarget represents the argument for SKA scheduling block.
    properties:
      kind:
        const: equatorial
        default: equatorial
        title: Kind
        type: string
      ra:
        anyOf:
        - type: number
        - type: string
        default: 0.0
        title: Ra
      dec:
        anyOf:
        - type: number
        - type: string
        default: 0.0
        title: Dec
      reference_frame:
        $ref: '#/$defs/EquatorialCoordinatesReferenceFrame'
        default: icrs
      epoch:
        default: 2000.0
        description: Epoch of proper motion, date when proper motion offset was zero.
          Note this is an astronomical epoch, not a Unix epoch timestamp
        title: Epoch
        type: number
      unit:
        default:
        - hourangle
        - deg
        maxItems: 2
        minItems: 2
        prefixItems:
        - type: string
        - type: string
        title: Unit
        type: array
    title: EquatorialCoordinates
    type: object
  EquatorialCoordinatesPST:
    properties:
      ra_str:
        title: Ra Str
        type: string
      dec_str:
        title: Dec Str
        type: string
      pm_ra:
        anyOf:
        - type: number
        - type: 'null'
        default: 0.0
        title: Pm Ra
      pm_dec:
        anyOf:
        - type: number
        - type: 'null'
        default: 0.0
        title: Pm Dec
      parallax:
        anyOf:
        - type: number
        - type: 'null'
        default: 0.0
        title: Parallax
      epoch:
        default: 2000.0
        description: Epoch of proper motion, date when proper motion offset was zero.
          Note this is an astronomical epoch, not a Unix epoch timestamp
        title: Epoch
        type: number
      target_id:
        title: Target Id
        type: string
      reference_frame:
        $ref: '#/$defs/EquatorialCoordinatesReferenceFrame'
        default: icrs
    required:
    - ra_str
    - dec_str
    - target_id
    title: EquatorialCoordinatesPST
    type: object
  EquatorialCoordinatesReferenceFrame:
    description: Enumeration of reference frames supported by an EquatorialCoordinates
    enum:
    - icrs
    - fk5
    title: EquatorialCoordinatesReferenceFrame
    type: string
  FivePointParameters:
    description: 'FivePointParameters defines the properties of an observing pattern
      that

      uses a five-point observing pattern centred on a reference position.'
    properties:
      kind:
        const: FivePointParameters
        default: FivePointParameters
        title: Kind
        type: string
      offset_arcsec:
        default: 0.0
        title: Offset Arcsec
        type: number
    title: FivePointParameters
    type: object
  GalacticCoordinates:
    description: Coordinates defined in a Galactic frame
    properties:
      kind:
        const: galactic
        default: galactic
        title: Kind
        type: string
      l:
        description: Galactic longitude in degrees
        title: L
        type: number
      b:
        description: Galactic latitude in degrees
        title: B
        type: number
      pm_l:
        default: 0
        description: Proper motion in the longitudinal direction, in mas/yr
        title: Pm L
        type: number
      pm_b:
        default: 0
        description: Proper motion in the latitudinal direction, in mas/yr
        title: Pm B
        type: number
      epoch:
        default: 2000.0
        description: Epoch of proper motion, date when proper motion offset was zero.
          Note this is an astronomical epoch, not a Unix epoch timestamp
        title: Epoch
        type: number
      parallax:
        default: 0
        title: Parallax
        type: number
    required:
    - l
    - b
    title: GalacticCoordinates
    type: object
  HorizontalCoordinates:
    properties:
      kind:
        default: horizontal
        enum:
        - altaz
        - horizontal
        title: Kind
        type: string
      az:
        title: Az
        type: number
      el:
        title: El
        type: number
      unit:
        default:
        - deg
        - deg
        maxItems: 2
        minItems: 2
        prefixItems:
        - type: string
        - type: string
        title: Unit
        type: array
      reference_frame:
        $ref: '#/$defs/HorizontalCoordinatesReferenceFrame'
        default: altaz
    required:
    - az
    - el
    title: HorizontalCoordinates
    type: object
  HorizontalCoordinatesReferenceFrame:
    description: Enumeration of reference frames supported by a HorizontalCoordinates.
    enum:
    - altaz
    title: HorizontalCoordinatesReferenceFrame
    type: string
  ICRSCoordinates:
    properties:
      ra_str:
        title: Ra Str
        type: string
      dec_str:
        title: Dec Str
        type: string
      pm_ra:
        anyOf:
        - type: number
        - type: 'null'
        default: 0.0
        title: Pm Ra
      pm_dec:
        anyOf:
        - type: number
        - type: 'null'
        default: 0.0
        title: Pm Dec
      parallax:
        anyOf:
        - type: number
        - type: 'null'
        default: 0.0
        title: Parallax
      epoch:
        default: 2000.0
        description: Epoch of proper motion, date when proper motion offset was zero.
          Note this is an astronomical epoch, not a Unix epoch timestamp
        title: Epoch
        type: number
      kind:
        const: icrs
        default: icrs
        title: Kind
        type: string
      reference_frame:
        const: icrs
        default: icrs
        title: Reference Frame
        type: string
    required:
    - ra_str
    - dec_str
    title: ICRSCoordinates
    type: object
  Info:
    properties:
      title:
        description: Title of the proposal
        title: Title
        type: string
      proposal_type:
        $ref: '#/$defs/ProposalType'
        description: Proposal type and optional sub-type combination
      abstract:
        default: ''
        description: Abstract of the proposal
        title: Abstract
        type: string
      science_category:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: Science category of the proposal
        title: Science Category
      targets:
        description: List of targets associated with the proposal
        items:
          $ref: '#/$defs/Target'
        title: Targets
        type: array
      documents:
        description: List of documents associated with the proposal
        items:
          $ref: '#/$defs/Document'
        title: Documents
        type: array
      investigators:
        description: Information on the investigators that have been invited onto
          the proposal
        items:
          $ref: '#/$defs/Investigator'
        title: Investigators
        type: array
      observation_sets:
        description: List of observations associated with the proposal
        items:
          $ref: '#/$defs/ObservationSets'
        title: Observation Sets
        type: array
      data_product_sdps:
        description: List of data products associated with the SDP
        items:
          $ref: '#/$defs/DataProductSDP'
        title: Data Product Sdps
        type: array
      data_product_src_nets:
        description: List of data products associated with the SRC-Net
        items:
          $ref: '#/$defs/DataProductSRC'
        title: Data Product Src Nets
        type: array
      result_details:
        anyOf:
        - items:
            $ref: '#/$defs/Result'
          type: array
        - type: 'null'
        description: List of target/observation set combinations with SensCalc results
        title: Result Details
    required:
    - title
    - proposal_type
    title: Info
    type: object
  Integration:
    properties:
      supplied_type:
        const: integration_time
        default: integration_time
        title: Supplied Type
        type: string
      weighted_continuum_sensitivity:
        anyOf:
        - $ref: '#/$defs/Quantity'
        - type: 'null'
        description: weighted continuum sensitivity
      weighted_spectral_sensitivity:
        anyOf:
        - $ref: '#/$defs/Quantity'
        - type: 'null'
        description: weighted spectral sensitivity
      total_continuum_sensitivity:
        anyOf:
        - $ref: '#/$defs/Quantity'
        - type: 'null'
        description: Total continuum sensitivity
      total_spectral_sensitivity:
        anyOf:
        - $ref: '#/$defs/Quantity'
        - type: 'null'
        description: Total spectral sensitivity
      surface_brightness_sensitivity:
        $ref: '#/$defs/SurfaceBrightnessSensitivity'
        description: Surface brightness sensitivity
    required:
    - weighted_continuum_sensitivity
    - weighted_spectral_sensitivity
    - total_continuum_sensitivity
    - total_spectral_sensitivity
    - surface_brightness_sensitivity
    title: Integration
    type: object
  Investigator:
    properties:
      investigator_id:
        description: Unique identifier for the Proposal investigators class
        title: Investigator Id
        type: string
      given_name:
        description: First/fore name of the investigator
        title: Given Name
        type: string
      family_name:
        description: family name of the investigator
        title: Family Name
        type: string
      email:
        description: Email address for the investigator
        format: email
        title: Email
        type: string
      organization:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: Organization to which the investigator belongs
        title: Organization
      for_phd:
        default: false
        description: Is this to count towards a qualification
        title: For Phd
        type: boolean
      status:
        description: Status of the invitation sent to co-investigators
        title: Status
        type: string
      principal_investigator:
        default: false
        description: Is this a principle investigator for the proposal
        title: Principal Investigator
        type: boolean
    required:
    - investigator_id
    - given_name
    - family_name
    - email
    - status
    title: Investigator
    type: object
  LowArray:
    properties:
      array:
        const: ska_low
        default: ska_low
        title: Array
        type: string
      subarray:
        description: Low Sub Array
        title: Subarray
        type: string
      number_of_stations:
        default: 0
        description: Number of stations to use in the observation
        maximum: 512
        minimum: 0
        title: Number Of Stations
        type: integer
    required:
    - subarray
    title: LowArray
    type: object
  Metadata:
    description: Represents metadata about other entities.
    properties:
      version:
        default: 1
        title: Version
        type: integer
      created_by:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        title: Created By
      created_on:
        format: date-time
        title: Created On
        type: string
      last_modified_by:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        title: Last Modified By
      last_modified_on:
        format: date-time
        title: Last Modified On
        type: string
      pdm_version:
        default: 17.1.2
        description: The version of the PDM used to generate the entity
        pattern: ^\d+\.\d+\.\d+[-\w]*$
        title: PDM version
        type: string
    title: Metadata
    type: object
  MidArray:
    properties:
      array:
        const: ska_mid
        default: ska_mid
        title: Array
        type: string
      subarray:
        description: Mid Sub Array
        title: Subarray
        type: string
      weather:
        default: 3
        description: Amount of accepted rainfall in mm
        maximum: 25
        minimum: 3
        title: Weather
        type: integer
      number_15_antennas:
        default: 0
        description: Number of 15mm antennas to use in the observation
        maximum: 133
        minimum: 0
        title: Number 15 Antennas
        type: integer
      number_13_antennas:
        default: 0
        description: Number of 13.5mm antennas to use in the observation
        maximum: 64
        minimum: 0
        title: Number 13 Antennas
        type: integer
      number_sub_bands:
        default: 0
        description: Number of Sub bands
        maximum: 32
        minimum: 0
        title: Number Sub Bands
        type: integer
      tapering:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: tapering
        title: Tapering
    required:
    - subarray
    title: MidArray
    type: object
  ObservationSets:
    properties:
      observation_set_id:
        description: Unique identifier for Observation Sets
        title: Observation Set Id
        type: string
      group_id:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: Grouping identifier
        title: Group Id
      observing_band:
        description: Observing Band
        title: Observing Band
        type: string
      elevation:
        default: 15
        description: Elevation from the horizon to be used
        maximum: 90
        minimum: 15
        title: Elevation
        type: integer
      array_details:
        description: Array details specific to the telescope selected
        discriminator:
          mapping:
            ska_low: '#/$defs/LowArray'
            ska_mid: '#/$defs/MidArray'
          propertyName: array
        oneOf:
        - $ref: '#/$defs/MidArray'
        - $ref: '#/$defs/LowArray'
        title: Array Details
      observation_type_details:
        $ref: '#/$defs/ObservationTypeDetails'
        description: Observation type details
    required:
    - observation_set_id
    - observing_band
    - array_details
    - observation_type_details
    title: ObservationSets
    type: object
  ObservationTypeDetails:
    properties:
      observation_type:
        description: Observation type
        title: Observation Type
        type: string
      bandwidth:
        $ref: '#/$defs/Quantity'
        description: Bandwidth
      central_frequency:
        $ref: '#/$defs/Quantity'
        description: Central Frequency
      supplied:
        anyOf:
        - $ref: '#/$defs/Supplied'
        - type: 'null'
        default: null
        description: Integration Time or sensitivity object
      spectral_resolution:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: Spectral Resolution
        title: Spectral Resolution
      effective_resolution:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: Effective resolution
        title: Effective Resolution
      image_weighting:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: Image Weighting
        title: Image Weighting
      robust:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: a Briggs image weighting parameter to balance sensitivity and
          resolution
        title: Robust
      spectral_averaging:
        anyOf:
        - type: string
        - type: 'null'
        default: null
        description: Spectral Averaging
        title: Spectral Averaging
    required:
    - observation_type
    - bandwidth
    - central_frequency
    title: ObservationTypeDetails
    type: object
  PointedMosaicParameters:
    description: 'PointedMosaicParameters defines the properties for an observing
      pattern

      consisting of a single receptor pointing with n optional offsets from

      the reference position.'
    properties:
      kind:
        const: PointedMosaicParameters
        default: PointedMosaicParameters
        title: Kind
        type: string
      offsets:
        items:
          $ref: '#/$defs/CoordinatesOffset'
        title: Offsets
        type: array
      units:
        $ref: '#/$defs/AngleUnits'
    required:
    - units
    title: PointedMosaicParameters
    type: object
  PointingKind:
    enum:
    - FivePointParameters
    - SinglePointParameters
    - CrossScanParameters
    - RasterParameters
    - StarRasterParameters
    - SpiralParameters
    - PointedMosaicParameters
    title: PointingKind
    type: string
  PointingPattern:
    description: 'PointingPattern holds the user-configured pointing patterns and
      current active

      pattern for receptor pointing patterns associated with a target.


      One of each pointing pattern type can be held in the parameters list. Only the

      active pattern will be used for observing; the remainder provide an easy way
      to

      recover previously edited observing parameters for the target.'
    properties:
      active:
        $ref: '#/$defs/PointingKind'
        default: SinglePointParameters
      parameters:
        items:
          discriminator:
            mapping:
              CrossScanParameters: '#/$defs/CrossScanParameters'
              FivePointParameters: '#/$defs/FivePointParameters'
              PointedMosaicParameters: '#/$defs/PointedMosaicParameters'
              RasterParameters: '#/$defs/RasterParameters'
              SinglePointParameters: '#/$defs/SinglePointParameters'
              SpiralParameters: '#/$defs/SpiralParameters'
              StarRasterParameters: '#/$defs/StarRasterParameters'
            propertyName: kind
          oneOf:
          - $ref: '#/$defs/FivePointParameters'
          - $ref: '#/$defs/CrossScanParameters'
          - $ref: '#/$defs/SinglePointParameters'
          - $ref: '#/$defs/RasterParameters'
          - $ref: '#/$defs/StarRasterParameters'
          - $ref: '#/$defs/SpiralParameters'
          - $ref: '#/$defs/PointedMosaicParameters'
        minItems: 1
        title: Parameters
        type: array
    title: PointingPattern
    type: object
  ProposalStatus:
    enum:
    - accepted
    - draft
    - rejected
    - submitted
    - under review
    - withdrawn
    title: ProposalStatus
    type: string
  ProposalType:
    description: Represents the categories of a proposal.
    properties:
      main_type:
        description: Type of the proposal
        title: Main Type
        type: string
      attributes:
        anyOf:
        - items:
            type: string
          type: array
        - type: 'null'
        description: Optional sub-type of the proposal
        title: Attributes
    required:
    - main_type
    title: ProposalType
    type: object
  Quantity:
    properties:
      value:
        title: Value
        type: number
      unit:
        title: Unit
        type: string
    required:
    - value
    title: Quantity
    type: object
  RadialVelocity:
    description: 'Radial velocity measures the line-of-sight velocity of an astronomical

      source.


      In principle, the radial velocity can be converted to and from the target

      redshift. However, these values are persisted separately to give the user

      the option of inputting either value.


      A velocity must also define the reference frame and definition that are

      applicable to the velocity. By default, these have values of:


      - definition = RADIO

      - reference_frame = LSRK

      - redshift = 0.0'
    properties:
      quantity:
        $ref: '#/$defs/RadialVelocityQuantity'
      definition:
        $ref: '#/$defs/RadialVelocityDefinition'
        default: RADIO
      reference_frame:
        $ref: '#/$defs/RadialVelocityReferenceFrame'
        default: LSRK
      redshift:
        default: 0.0
        title: Redshift
        type: number
    title: RadialVelocity
    type: object
  RadialVelocityDefinition:
    description: "Enumeration of reference definitions supported by a RadialVelocity.\n\
      \nThe sky frequency (\u03BD) at which we must observe a spectral line is derived\n\
      from the rest frequency of the spectral line (\u03BD\u2080), the line-of-sight\n\
      velocity of the source (V), and the speed of light (c). The relativistic\nvelocity,\
      \ or true line-of-sight velocity, is related to the observed and\nrest frequencies\
      \ by\n\n    V= c * (\u03BD\u2080\xB2\u2212 \u03BD\xB2) / (v\u2080\xB2 + v\xB2\
      )\n\nThis equation is a bit cumbersome to use; in astronomy two different\n\
      approximations are typically used:\n\nOptical Velocity:\n\n    Voptical = c\
      \ * (\u03BB \u2212 \u03BB\u2080) / \u03BB\u2080 = cz\n\n(z is the redshift of\
      \ the source; \u03BB and \u03BB\u2080 are the corresponding observed\nand rest\
      \ wavelengths, respectively)\n\nRadio Velocity:\n\n    Vradio = c * (\u03BD\u2080\
      \ \u2212 \u03BD) / v\u2080 = c * (\u03BB\u2212\u03BB\u2080) / \u03BB\n\nThe\
      \ radio and optical velocities are not identical. Particularly, Voptical\nand\
      \ Vradio diverge for large velocities. Optical velocities are commonly\nused\
      \ for (Helio/Barycentric) extragalactic observations; (LSRK) radio\nvelocities\
      \ are typical for Galactic observations.\n\nTaken from https://science.nrao.edu/facilities/vla/docs/manuals/obsguide/modes/line"
    enum:
    - OPTICAL
    - RADIO
    - RELATIVISTIC
    title: RadialVelocityDefinition
    type: string
  RadialVelocityQuantity:
    properties:
      value:
        title: Value
        type: number
      unit:
        enum:
        - m / s
        - km / s
        title: Unit
        type: string
    required:
    - value
    title: RadialVelocityQuantity
    type: object
  RadialVelocityReferenceFrame:
    description: "Reference frame in which the radial velocity is defined.\n\nThe\
      \ Earth rotates, revolves around the Sun, rotates around the Galaxy,\nmoves\
      \ within the Local Group, and shows motion against the Cosmic\nMicrowave Background.\
      \ As for the convention above, any source velocity\nmust therefore also always\
      \ be specified relative to a reference frame.\n\nVarious velocity rest frames\
      \ are used in the literature. The following\ntable lists their name, the motion\
      \ that is corrected for, and the maximum\namplitude of the velocity correction.\
      \ Each rest frame correction is\nincremental to the preceding row:\n\nVelocity\
      \                     Rest Frame                              Correct for +\
      \ max correction (km/s)\n===========================  ======================================\
      \  ======================================\nTopocentric                  Telescope\
      \                                   Nothing (0)\nGeocentric                \
      \   Earth Center                            Earth rotation (0.5)\nEarth-Moon\
      \ Barycentric       Earth+Moon center of mass               Motion around Earth+Moon\
      \ center of mass (0.013)\nHeliocentric                 Center of the Sun   \
      \                        Earth orbital motion (30)\nBarycentric            \
      \      Earth+Sun center of mass                    Earth+Sun center of mass\
      \ (0.012)\nLocal Standard of Rest           Center of Mass of local stars  \
      \             Solar motion relative to nearby stars (20)\nGalactocentric   \
      \            Center of Milky Way                     Milky Way Rotation (230)\n\
      Local Group Barycentric      Local Group center of mass              Milky Way\
      \ Motion (100)\nVirgocentric                     Center of the Local Virgo supercluster\
      \  Local Group motion (300)\nCosmic Microwave Background  CMB              \
      \                       Local Supercluster Motion (600)\n\nThe velocity frame\
      \ should be chosen based on the science. For most\nobservations, however, one\
      \ of the following three reference frames is\ncommonly used:\n\n- Topocentric\
      \ is the reference frame of the observatory (defining the sky\n  frequency of\
      \ the observations). Visibilities in a measurement set are\n  typically stored\
      \ in this frame.\n\n- Local Standard of Rest is the native output of images\
      \ in CASA. Note that\n  there are two varieties of LSR: the kinematic LSR (LSRK)\
      \ and the dynamic\n  (LSRD) definitions for the kinematic and dynamic centers,\
      \ respectively.\n  In almost all cases LSRK is being used and the less precise\
      \ name LSR is\n  usually used synonymously with the more modern LSRK definition.\n\
      \n- Barycentric is a commonly used frame that has virtually replaced the\n \
      \ older Heliocentric standard. Given the small difference between the\n  Barycentric\
      \ and Heliocentric frames, they are frequently used\n  interchangeably.\n\n\
      Taken from https://science.nrao.edu/facilities/vla/docs/manuals/obsguide/modes/line"
    enum:
    - TOPOCENTRIC
    - LSRK
    - BARYCENTRIC
    title: RadialVelocityReferenceFrame
    type: string
  RasterParameters:
    description: 'RasterParameters defines the properties of an observing pattern
      that

      uses a raster pattern centred on a reference position.'
    properties:
      kind:
        const: RasterParameters
        default: RasterParameters
        title: Kind
        type: string
      row_length_arcsec:
        default: 0.0
        title: Row Length Arcsec
        type: number
      row_offset_arcsec:
        default: 0.0
        title: Row Offset Arcsec
        type: number
      n_rows:
        default: 1
        title: N Rows
        type: integer
      pa:
        default: 0.0
        title: Pa
        type: number
      unidirectional:
        default: false
        title: Unidirectional
        type: boolean
    title: RasterParameters
    type: object
  Result:
    properties:
      observation_set_ref:
        description: Observation set related to the results
        title: Observation Set Ref
        type: string
      target_ref:
        description: Target related to the results
        title: Target Ref
        type: string
      result:
        description: results specific to the observation/target combination
        discriminator:
          mapping:
            integration_time: '#/$defs/Integration'
            sensitivity: '#/$defs/Sensitivity'
          propertyName: supplied_type
        oneOf:
        - $ref: '#/$defs/Integration'
        - $ref: '#/$defs/Sensitivity'
        title: Result
      continuum_confusion_noise:
        $ref: '#/$defs/Quantity'
        description: continuum confusion noise
      synthesized_beam_size:
        $ref: '#/$defs/SynthesizedBeamSize'
        description: synthesized beam size
      spectral_confusion_noise:
        $ref: '#/$defs/Quantity'
        description: spectral confusion noise
    required:
    - observation_set_ref
    - target_ref
    - result
    - continuum_confusion_noise
    - synthesized_beam_size
    - spectral_confusion_noise
    title: Result
    type: object
  ResultsType:
    enum:
    - integration_time
    - sensitivity
    title: ResultsType
    type: string
  Sensitivity:
    properties:
      supplied_type:
        const: sensitivity
        default: sensitivity
        title: Supplied Type
        type: string
      continuum:
        anyOf:
        - $ref: '#/$defs/Quantity'
        - type: 'null'
        description: Continuum observation
      spectral:
        anyOf:
        - $ref: '#/$defs/Quantity'
        - type: 'null'
        description: Spectral observation
    required:
    - continuum
    - spectral
    title: Sensitivity
    type: object
  SinglePointParameters:
    description: 'SinglePointParameters defines the properties for an observing pattern

      consisting of a single receptor pointing with an optional offset from

      the reference position.'
    properties:
      kind:
        const: SinglePointParameters
        default: SinglePointParameters
        title: Kind
        type: string
      offset_x_arcsec:
        default: 0.0
        title: Offset X Arcsec
        type: number
      offset_y_arcsec:
        default: 0.0
        title: Offset Y Arcsec
        type: number
    title: SinglePointParameters
    type: object
  SolarSystemObject:
    description: Planet represents the argument for SKA scheduling block.
    properties:
      kind:
        default: sso
        enum:
        - sso
        - special
        title: Kind
        type: string
      reference_frame:
        const: special
        default: special
        title: Reference Frame
        type: string
      name:
        $ref: '#/$defs/SolarSystemObjectName'
    required:
    - name
    title: SolarSystemObject
    type: object
  SolarSystemObjectName:
    description: SolarSystemObjectName represents name of the solar system object.
    enum:
    - Sun
    - Moon
    - Mercury
    - Venus
    - Mars
    - Jupiter
    - Saturn
    - Uranus
    - Neptune
    title: SolarSystemObjectName
    type: string
  SpecialCoordinates:
    properties:
      kind:
        default: special
        enum:
        - sso
        - special
        title: Kind
        type: string
      reference_frame:
        const: special
        default: special
        title: Reference Frame
        type: string
      name:
        $ref: '#/$defs/SolarSystemObjectName'
    required:
    - name
    title: SpecialCoordinates
    type: object
  SpiralParameters:
    description: "SpiralParameters defines the properties of holography observations\n\
      to support MID holography observing\n\nThese parameters are accepted by the\
      \ MeerKAT holography script but are not\nincluded in the trajectory JSON.\n\n\
      * scan_extent: Diameter of beam pattern to measure, in degrees (default 10.0).\n\
      * track_time: Extra time in seconds for scanning antennas to track when\n  passing\
      \ over the target (default 10.0)\n* cycle_track_time: Extra time or scanning\
      \ antennas to track when passing\n  over target (default 30.0)\n* slow_time:\
      \ Time in seconds to slow down at start and end of each spiral arm\n  (default\
      \ 6.0)\n* sample_time: Time in seconds to spend on each sample point generated\n\
      \  (default 0.25)\n* scan_speed: Scan speed in degrees per second (default 0.1)\n\
      * slew_speed: Speed at which to slew in degrees per second, or if negative number\n\
      \  then this multiplied by scan_speed (default -1.0)\n* twist_factor Spiral\
      \ twist factor (0.0 for straight radial, 1.0 standard spiral)\n  (default standard\
      \ spiral = 1.0)\n* high_el_slowdown_factor: Factor by which to slow down nominal\
      \ scanning speed at\n  90 degree elevation, linearly scaled from factor of 1\
      \ at 60 degrees elevation\n  (default 2.0)"
    properties:
      kind:
        const: SpiralParameters
        default: SpiralParameters
        title: Kind
        type: string
      scan_extent:
        $ref: '#/$defs/Quantity'
      track_time:
        $ref: '#/$defs/Quantity'
      cycle_track_time:
        $ref: '#/$defs/Quantity'
      slow_time:
        $ref: '#/$defs/Quantity'
      sample_time:
        $ref: '#/$defs/Quantity'
      scan_speed:
        $ref: '#/$defs/Quantity'
      slew_speed:
        $ref: '#/$defs/Quantity'
      twist_factor:
        default: 1.0
        title: Twist Factor
        type: number
      high_el_slowdown_factor:
        default: 2.0
        title: High El Slowdown Factor
        type: number
    title: SpiralParameters
    type: object
  StarRasterParameters:
    description: 'StarRasterParameters defines the properties of an observing pattern
      that

      uses a star raster pattern centred on a reference position.'
    properties:
      kind:
        const: StarRasterParameters
        default: StarRasterParameters
        title: Kind
        type: string
      row_length_arcsec:
        default: 0.0
        title: Row Length Arcsec
        type: number
      n_rows:
        default: 1
        title: N Rows
        type: integer
      row_offset_angle:
        default: 0.0
        title: Row Offset Angle
        type: number
      unidirectional:
        default: false
        title: Unidirectional
        type: boolean
    title: StarRasterParameters
    type: object
  Supplied:
    properties:
      supplied_type:
        $ref: '#/$defs/ResultsType'
        description: Indicates which option the quantity relates to
      quantity:
        $ref: '#/$defs/Quantity'
    required:
    - supplied_type
    - quantity
    title: Supplied
    type: object
  SurfaceBrightnessSensitivity:
    properties:
      continuum:
        anyOf:
        - type: number
        - type: 'null'
        title: Continuum
      spectral:
        anyOf:
        - type: number
        - type: 'null'
        title: Spectral
      unit:
        anyOf:
        - type: string
        - type: 'null'
        title: Unit
    required:
    - continuum
    - spectral
    - unit
    title: SurfaceBrightnessSensitivity
    type: object
  SynthesizedBeamSize:
    properties:
      continuum:
        anyOf:
        - type: string
        - type: 'null'
        title: Continuum
      spectral:
        anyOf:
        - type: string
        - type: 'null'
        title: Spectral
      unit:
        anyOf:
        - type: string
        - type: 'null'
        title: Unit
    required:
    - continuum
    - spectral
    - unit
    title: SynthesizedBeamSize
    type: object
  Target:
    description: 'Target represents the receptor pointing for an SKA observation,
      consisting

      of a reference position and a pointing pattern to be used when observing

      the target.


      Default pointing patterns and equatorial coordinates will be set if not

      provided.'
    properties:
      target_id:
        default: ''
        title: Target Id
        type: string
      name:
        default: ''
        title: Name
        type: string
      pointing_pattern:
        $ref: '#/$defs/PointingPattern'
      reference_coordinate:
        oneOf:
        - $ref: '#/$defs/SpecialCoordinates'
        - $ref: '#/$defs/GalacticCoordinates'
        - $ref: '#/$defs/AltAzCoordinates'
        - $ref: '#/$defs/ICRSCoordinates'
        - $ref: '#/$defs/EquatorialCoordinates'
        - $ref: '#/$defs/SolarSystemObject'
        - $ref: '#/$defs/HorizontalCoordinates'
        title: Reference Coordinate
      radial_velocity:
        $ref: '#/$defs/RadialVelocity'
      tied_array_beams:
        anyOf:
        - $ref: '#/$defs/TiedArrayBeams'
        - type: 'null'
    title: Target
    type: object
  TiedArrayBeams:
    description: Tied Array Beam argument lists.
    properties:
      pst_beams:
        items:
          $ref: '#/$defs/Beam'
        title: Pst Beams
        type: array
      pss_beams:
        items:
          $ref: '#/$defs/Beam'
        title: Pss Beams
        type: array
      vlbi_beams:
        items:
          $ref: '#/$defs/Beam'
        title: Vlbi Beams
        type: array
    title: TiedArrayBeams
    type: object
description: 'Proposal: Represents an astronomy proposal.'
properties:
  prsl_id:
    anyOf:
    - type: string
    - type: 'null'
    description: Alphanumeric unique identifier of the proposal.
    title: Prsl Id
  status:
    $ref: '#/$defs/ProposalStatus'
    default: draft
  submitted_on:
    anyOf:
    - format: date-time
      type: string
    - type: 'null'
    default: null
    description: The date and time the proposal was submitted.
    title: Submitted On
  submitted_by:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: User id of the user that submitted the proposal
    title: Submitted By
  investigator_refs:
    description: IDs of the investigators that have accepted involvement in the proposal.
    items:
      type: string
    title: Investigator Refs
    type: array
  metadata:
    $ref: '#/$defs/Metadata'
    description: The metadata of this Proposal.
  cycle:
    description: The cycle to which validation standards are applied
    title: Cycle
    type: string
  info:
    $ref: '#/$defs/Info'
    description: The information of the Proposal.
required:
- prsl_id
- cycle
- info
title: Proposal
type: object
